# NOTE: this is needed to avoid broken macro format in 
# T1lib/type1/objects.c
# T1lib/type1/type1.c (presumably others)
# since IfTrace0 macro does not include the format string
# Upstream is warned
# All other formats are fixed in the patched files (sent upstream also)
%define Werror_cflags %nil

Name:		grace
Version:	5.1.25
Release:	%mkrel 11
Summary:	Numerical Data Processing and Visualization Tool (Grace)
License:	GPLv2+
Url:		http://plasma-gate.weizmann.ac.il/Grace/
Source0:	ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/%name-%version.tar.gz
Source1:	grace-icons.tar.bz2
Patch0:		svgdrv_stringliteral.patch
Patch1:		utils_stringliteral.patch
# Fixes the mouse stuck in the window, fix for #58242
# Comes from http://plasma-gate.weizmann.ac.il/Grace/phpbb/viewtopic.php?t=1813
#Patch2:		mouse_stuck_in_the_window.patch
#Patch3:		grace-zlib-libpng.patch
Patch4:		do_not_strip_binaries.patch
Group:		Sciences/Other

BuildRequires:	motif-devel
# Seems fftw3 is not backward compatible with 2
#BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	t1lib-devel

Requires: webclient
Requires: xterm

# NOTE: This can be rebuilt with pdflib-devel installed if you want to enable pdf
# support. Keep in mind that pdflib is not free (Aladdin FPL).

%description
Grace is a Motif/Lesstif application for two-dimensional data
visualization. Grace can transform the data using free equations, FFT,
cross- and auto-correlation, differences, integrals, histograms, and
much more. The generated figures are of high quality.  Grace is a very
convenient tool for data inspection, data transformation, and for
making figures for publications.

%package devel
Group:		Development/Other
Summary:	Library and header files for Grace-linked apps development
Requires:	grace = %{version}
License:	LGPL

%description devel
This package includes header and library files needed to
develop programs which will use grace as a subprocess.
This feature is currently (%{name}-%{version}) available for
C and Fortran77 languages.

%prep
%setup -a 1 -q
%patch0 -p1
%patch1 -p0
#patch2 -p1
#patch3 -p1
%patch4 -p1

%build
%configure \
  --enable-grace-home=%_libdir/grace \
  --with-helpviewer="xdg-open %s"  \
  --with-x \
  --x-includes=%_libdir \
  --x-libraries=%_libdir

#does nothing apparently
#--with-f77=gfortran

%make_build

%install
%make_install GRACE_HOME=%{_libdir}/grace

#fixup binaries
mkdir %{buildroot}/%_bindir
mv %{buildroot}/%_libdir/grace/bin/* %{buildroot}/%_bindir
rm -fr %{buildroot}/%_libdir/grace/bin
ln -s %_bindir/xmgrace %{buildroot}/%_bindir/grace

#fixup devel files
mv %{buildroot}/%_libdir/grace/lib/* %{buildroot}/%_libdir
rm -fr %{buildroot}/%_libdir/grace/lib
mkdir %{buildroot}/%_includedir
mv %{buildroot}/%_libdir/grace/include/* %{buildroot}/%_includedir
rm -fr %{buildroot}/%_libdir/grace/include

#fixup documentation
mkdir -p %{buildroot}/%_mandir/man1
mv %{buildroot}/%_libdir/grace/doc/*.1 %{buildroot}/%_mandir/man1
rm -fr %{buildroot}/%_libdir/grace/doc
ln -s %_docdir/%name %{buildroot}/%_libdir/grace/doc

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Grace
Comment=Graphical visualization of scientific data
Exec=xmgrace
Icon=grace
Type=Application
Categories=Science;Education;2DGraphics;
EOF

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
pushd grace-icons
cp grace16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/grace.png
cp grace32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/grace.png
cp grace48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/grace.png
popd

%files
%doc CHANGES COPYRIGHT DEVELOPERS LICENSE README ChangeLog doc/*.html doc/*.png
%_mandir/man1/*
%_libdir/grace
%_bindir/grace
%_bindir/gracebat
%_bindir/xmgrace
%_bindir/convcal
%_bindir/fdf2fit
%_datadir/applications/*.desktop
%{_iconsdir}/hicolor/16x16/apps/grace.png
%{_iconsdir}/hicolor/32x32/apps/grace.png
%{_iconsdir}/hicolor/48x48/apps/grace.png

%files devel
%_includedir/grace_np.h
%_libdir/libgrace_np.a


%changelog
* Thu Nov 26 2020 tv <tv> 5.1.25-11.mga8
+ Revision: 1649469
- no more grconvert with glibc-2.32

* Mon Oct 26 2020 akien <akien> 5.1.25-10.mga8
+ Revision: 1639573
- Rebuild against libnetcdf18

* Thu Oct 01 2020 pterjan <pterjan> 5.1.25-9.mga8
+ Revision: 1631513
- Rebuild for new netcdf on arm

* Fri Mar 20 2020 eatdirt <eatdirt> 5.1.25-8.mga8
+ Revision: 1558365
- Rebuild for new netcdf

* Sat Feb 15 2020 umeabot <umeabot> 5.1.25-7.mga8
+ Revision: 1525194
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Apr 04 2019 daviddavid <daviddavid> 5.1.25-6.mga7
+ Revision: 1385697
- openjpeg1 is no more needed

* Sun Sep 23 2018 umeabot <umeabot> 5.1.25-5.mga7
+ Revision: 1298057
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 eatdirt <eatdirt> 5.1.25-4.mga7
+ Revision: 1251321
- Rebuild for new libnetcdf

* Fri Jun 08 2018 wally <wally> 5.1.25-3.mga7
+ Revision: 1235467
- build with motif instead of lesstif
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 15 2016 umeabot <umeabot> 5.1.25-2.mga6
+ Revision: 960538
- Mageia 6 Mass Rebuild

* Mon Sep 21 2015 barjac <barjac> 5.1.25-1.mga6
+ Revision: 882153
- remove fftw3 BR as its not backward compatible with 2xx
- remove commented lines
- remove --enable-debug - not required
- add BRs libpng libfftw t1lib
- use pkgconfig versions where available and sort BR list
- new version 5.1.25
- clean spec
- enable debug
+ wally <wally>
- add patch to disable debug symbols stripping

* Wed Oct 15 2014 umeabot <umeabot> 5.1.22-13.mga5
+ Revision: 748588
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.22-12.mga5
+ Revision: 679924
- Mageia 5 Mass Rebuild

* Sat Nov 02 2013 fwang <fwang> 5.1.22-11.mga4
+ Revision: 549050
- fix build with recent png
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.1.22-10.mga3
+ Revision: 352557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 30 2011 fwang <fwang> 5.1.22-9.mga2
+ Revision: 130538
- rebuild for new netcdf

* Tue Apr 26 2011 wally <wally> 5.1.22-8.mga1
+ Revision: 91668
- fix desktop file (mga#954)
- drop buildroot definition

* Thu Feb 17 2011 ahmad <ahmad> 5.1.22-7.mga1
+ Revision: 53324
- fix BR
- imported package grace

